### This package includes a basic setup for the Quests function in Marketplace, you can modify the quests however you want if you wish

### Note: If you do wish to modify the files, please make a backup of whatever files you modify, if this package must be updated, it will overwrite your files.

# How to modify files:
- Go to config/MarketplaceKG
- QuestsDatabase.cfg to configure what you want
- QuestsProfiles.cfg to assign quests to profiles

# First Steps:
- Launch the game so the "MarketplaceAndServerNPCs.cfg" gets generated and close the game onces its loaded.
- Open up "MarketplaceAndServerNPCs.cfg" and set "Use Marketplace Locally" to True
- Relaunch the game and youre good

# How to set up:
- Press F5 and type devcommands, debugmode
- Place down an NPC
- Press "L-Shift+E" to open up the NPC UI
- Change NPC Type: Leave it at none
- Change NPC Profiles: leave it at default
- Attach NPC Dialogue: input "mainmenu"
- Override NPC Name: Change this whatever you want the NPCs name to be
- Done!

# Setup more NPCs
#### If you wish to not use a single NPC and want multiple for each category
- Place NPC down
- Change NPC Type: Quests
- Change NPC Profiles (for each NPC): skills
- Override NPC Name: Change this whatever you want the NPCs name to be
- Attach NPC Dialogue: empty
<div class="align-center">
<img src="https://cdn.discordapp.com/attachments/1039345789241143296/1116733045928644778/image.png">
</div>

# Marketplace Guides:
- https://kg-dev.xyz/ *Written Guide*
- https://www.youtube.com/@therealstonedprophet/videos *Video Guides*